import { tap, expect } from '../../ts_tapbundle/index.js';

// Override global settings for this file
tap.settings({
  timeout: 2000, // Override global timeout to 2 seconds
  retries: 0,    // Disable retries for this file
});

tap.test('Test with file-level timeout', async (toolsArg) => {
  // This should use the file-level timeout of 2 seconds
  console.log('Running with file-level timeout of 2 seconds');
  await toolsArg.delayFor(1000); // 1 second - should pass
  expect(true).toBeTrue();
});

tap.test('Test without retries', async () => {
  // This test should not retry even if it fails
  console.log('This test has no retries (file-level setting)');
  expect(true).toBeTrue();
});

tap.start();